---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend
  namespace: bim
spec:
  template:
    spec:
      containers:
      - name: backend
        image: cr.yandex/crp3ccidau046kdj8g9q/bim-backend-v2:1d961a7b125ae0e69bd5717658d927091d8c05cc
        env:
        - name: LAST_MASTER_BIM
          value: '100000'
        - name: LAST_SLAVE_1_BIM
          value: '94015'
        - name: LAST_MASTER_BIM_V3
          value: '100000'
        - name: LAST_SLAVE_1_BIM_V3
          value: '0'
        - name: DB_CERT_PATH_3
          value: /root/yandex_pg.pem
        - name: POSTGRES_ADDRESS_3
          value: postgres-service
        - name: POSTGRES_PORT_3
          value: '5432'
        - name: POSTGRES_DB_3
          value: bimapidb
        - name: DB_CERT_PATH_2
          value: /root/yandex_pg.pem
        - name: POSTGRES_ADDRESS_2
          value: postgres-service
        - name: POSTGRES_PORT_2
          value: '5432'
        - name: POSTGRES_DB_2
          value: bimapidb
        - name: POSTGRES_ADDRESS
          value: postgres-service
        - name: POSTGRES_PORT
          value: '5432'
        - name: POSTGRES_DB
          value: bimapidb
        - name: POSTGRES_POOL_SIZE
          value: '30'
        - name: API_ADDRESS
          value: 0.0.0.0:8000
        - name: DJANGO_HOST
          value: http://backend.django.svc.cluster.local:8000
        - name: ENABLE_SQL_QUERY
          value: '0'
        - name: ENABLE_SSL
          value: '0'
